/*
 * PmodCLS.h
 *
 *  Created on: Nov 13, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODCLS_H_
#define PMODCLS_H_

// Display characters and line lines limits.
#define MAX_LINE_CHARACTERS 16
#define MAX_LINES 2

/**
 * @brief Configure Pmod connector pins in SPI mode. Only six connector pins, including VCC and GND,
 *        are used, according to the description below.
 *
 *        PB0  -> SS
 *        PA7  -> MOSI
 *        PE14 -> MISO
 *        PA1  -> SCK
 */
void PmodCLS_Config(void);

/**
 * @brief Write the given ASCII string to the display. The valid line values are 0 and 1.
 *        In case of incorrect line number or string length, nothing will be sent to the display.
 */
void PmodCLS_Write(uint8_t line, char* text, uint32_t len);

#endif /* PMODCLS_H_ */
